<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");

(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'tambah') {
    $data = [
        'nomor'     => $_POST['nomor'],
        'nama_kontak'   => $_POST['nama'],
        'iduser'         => $_POST['iduser'] 
    ];
	 $where = [
        'nomor'     => $_POST['nomor'],
        'iduser'         => $_POST['iduser'] 
    ];
	 $cek = rowcount($koneksi, 'kontakme', $where);
            if ($cek == 0) {
    $exec = insert($koneksi, 'kontakme', $data);
    echo "OK";
	}else{
		echo"gagal";
	}
}
if ($pg == 'hapus') {
    $id = $_POST['id'];
    delete($koneksi, 'kontakme', ['id' => $id]);
}
if ($pg == 'ubahwa') {
	$nama = $_POST['nama'];
	$nowa = $_POST['nowa'];
	 $api_key = sha1(date("Y-m-d H:i:s") . rand(100000, 999999));
    mysqli_query($koneksi, "UPDATE pengaturan SET nogateway='$nowa',apikey='$api_key' WHERE id_setting='1'");
}
if ($pg == 'hapus_pesan') {
    
    delete($koneksi, 'pesan');
}
if ($pg == 'ubahpesan') {
	$pesan = $_POST['pesan'];
	$untuk = $_POST['kelas'];
	
    mysqli_query($koneksi, "UPDATE wabot SET pesan='$pesan',untuk='$untuk' WHERE id='1'");
}